Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87916 - Random dropout of OpenGL triangles in Radeon DRI
Summary: Random dropout of OpenGL triangles in Radeon DRI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 18:21 UTC by Joe Krahn
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-29 20:46:01 UTC


Attachments (Terms of Use)
Draws a filled green circle using GLUT. (deleted)
2003-04-03 18:22 UTC, Joe Krahn
no flags Details
XFree86 log file (deleted)
2003-04-03 18:23 UTC, Joe Krahn
no flags Details

Description Joe Krahn 2003-04-03 18:21:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When drawing solid-color circles made using GL_TRIANGLE_FAN,
one of the triangle segments is occasionally not drawn.
It may occur in cases other than a solid-color triangle fan;
I have not tested it.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. Compile and run the attached test app on a Radeon display.

    

Actual Results:  The GLUT test program repeatedly draws a solid green filled circle
with a trangle fan. Intermittently, one of the triangle segments is
not drawn.

Expected Results:  A filled, solid green circle, with no dropouts.

Additional info:

The problem disappears if run without DRI. The position of the
dropped triangle migrates in a defined way, suggesting it may be a problem that
results from the positon of the vertex or triangle
in some internal buffer.

Comment 1 Joe Krahn 2003-04-03 18:22:58 UTC
Created attachment 90874 [details]
Draws a filled green circle using GLUT.

Comment 2 Joe Krahn 2003-04-03 18:23:58 UTC
Created attachment 90875 [details]
XFree86 log file

Comment 3 Mike A. Harris 2003-04-06 04:30:45 UTC
Please report this problem also upstream in XFree86's bugzilla so that the
DRI project is aware of the problem:  http://bugs.xfree86.org

Comment 4 Mike A. Harris 2004-09-29 20:46:01 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "dri"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.